{
  roles,
  hlConfig,
}:
{
  hostname = "proxy";
  managed = true;
  ip = "192.168.10.10";

  roles = with roles; [
    traefik
  ];
  config = {
    traefik.wildcardDomains = [
      hlConfig.domain
      hlConfig.shortDomain
      "pds.${hlConfig.domain}"
    ];
  };
  stateVersion = "24.05";
}
