{
  hlConfig,
  ...
}:
rec {
  hostname = "pds";
  managed = false;
  ip = "192.168.10.174";

  traefikRoutes =
    let
      domain = "pds.${hlConfig.domain}";
    in
    [
      {
        name = "${hostname}";
        rule = "Host(`${domain}`) || HostRegexp(`.+${builtins.replaceStrings [ "." ] [ "\\." ] domain}`)";
        target = "http://${ip}:3000";
      }
    ];
}
